[PR] web: drop --disable-yasm from generate-doc.sh (PR #8)

Daniel Verkamp via ffmpeg-devel <[email protected]> Tue, 28 Jul 2026 06:18:53 -0000
Newsgroups gmane.comp.video.ffmpeg.devel
Message-ID <178521953444.51.14126708345734529054@29965ddac10e>
PR #8 opened by Daniel Verkamp (drv)
URL: https://code.ffmpeg.org/FFmpeg/web/pulls/8
Patch URL: https://code.ffmpeg.org/FFmpeg/web/pulls/8.patch

This was removed in FFmpeg commit 2f888fb99eef ("configure:
drop yasm support") and prevents configure from succeeding when running
generate-doc.sh from the web tree.


>From ef2235cb94c534de54baefa24eca7f57f5f5f2c6 Mon Sep 17 00:00:00 2001
From: Daniel Verkamp <[email protected]>
Date: Mon, 27 Jul 2026 23:14:15 -0700
Subject: [PATCH] web: drop --disable-yasm from generate-doc.sh

This was removed in FFmpeg commit 2f888fb99eef ("configure:
drop yasm support") and prevents configure from succeeding when running
generate-doc.sh from the web tree.

Signed-off-by: Daniel Verkamp <[email protected]>
---
 generate-doc.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/generate-doc.sh b/generate-doc.sh
index d8d01d3..2084288 100755
--- a/generate-doc.sh
+++ b/generate-doc.sh
@@ -34,7 +34,7 @@ export FA_ICONS=true
 
 rm -rf build-doc
 mkdir build-doc && cd build-doc
-$src/configure --enable-gpl --disable-yasm || die "configure failed"
+$src/configure --enable-gpl || die "configure failed"
 make doc || die "doc not made"
 cp doc/*.html ../htdocs/ || die "copy failed"
 
-- 
2.52.0

_______________________________________________
ffmpeg-devel mailing list -- [email protected]
To unsubscribe send an email to [email protected]